# Programs to check warnings for as defined by the chad standard

GCC:=gcc
D.versions:=-D_XOPEN_SOURCE=700
GCC.warnings:=-Wall -Wextra -Wpedantic -Wvla -Wshadow -Wundef 
CLANG:=clang
CLANG.warnings:=-Weverything

VALGRIND:=valgrind
VALGRIND.flags:=--track-origins=yes --leak-check=full --show-leak-kinds=all

TARGET:=hl
ARGS:=${TARGET} < source/main.c

chad_test:
	${GCC} ${D.versions} ${GCC.warnings} ${SRC} -o ${TARGET}
	${CLANG} ${D.versions} ${GCC.warnings} ${SRC} -o ${TARGET}
	${VALGRIND} ${VALGRIND.flags} $(shell pwd)/${TARGET} ${ARGS}
